#Responsive
##A super lightweight HTML, CSS, and JavaScript framework for building responsive websites

###[Bootstrap](http://getbootstrap.com/) and [Foundation](http://foundation.zurb.com) both do a good job but they're too heavy.


They're great for prototyping but every time you start a real, front-facing, project with them you have to overwrite lots of designer styles that do nothing to add to the functionality of the website. That's annoying!

**Responsive** has been built with that in mind. It has been specifically designed and coded to be as lightweight as possible to prevent the need to undo styles set by the framework itself and allow developers to write efficient code and speed up development time.

**Responsive** is tiny. The combined CSS and JavaScript is **only 31kb minified and gzipped** but there is a lot of functionality built into the framework. It's designed to be dropped-in, as-is to your website such as you would with [normalize.css](http://necolas.github.io/normalize.css/).

Browser support covers IE8+ as well as all other modern browsers.

##Documentation

Responsives's documentation, included in the [v2-documentation](https://github.com/JimBobSquarePants/Responsive/tree/v2-documentation) repo. It is built with [Jekyll](http://jekyllrb.com) and publicly hosted on GitHub Pages at [http://jimbobsquarepants.github.io/Responsive/](http://jimbobsquarepants.github.io/Responsive/). The docs may also be run locally.

1. If necessary, [install Jekyll](http://jekyllrb.com/docs/installation) (requires v1.x).
2. From the root `/Responsive` directory, run `jekyll serve --baseurl '' --watch` in the command line.

 - **Windows users:** run `chcp 65001` first to change the command prompt's character encoding ([code page](http://en.wikipedia.org/wiki/Windows_code_page)) to UTF-8 so Jekyll runs without errors.
 - Open [http://localhost:4000](http://localhost:4000) in your browser to view the compiled docs.


Learn more about using Jekyll by reading its [documentation](http://jekyllrb.com/docs/home/).

##Contributing

Contribution is most welcome, that's the whole idea! Together as a community we can build a boilerplate for building responsive sites that will ensure that high standards can be delivered across all devices.   

Please adhere to exisiting javascript and css styles though when submitting code and ensure that you test thoroughly on multiple devices, we dont want another semicolongate ;)

##Bugs and feature requests

Have a bug or a feature request? Please open a new [issue](https://github.com/JimBobSquarePants/Responsive/issues). Before opening any issue, please search for existing issues and read the Issue Guidelines, written by [Nicolas Gallagher](https://github.com/necolas/).

##Authors

James South [@james_m_south](http://twitter.com/james_m_south)

##Community

Follow [@responsivebp](http://twitter.com/responsivebp) on Twitter.

###Copyright and license

Copyright 2013 James South under the [MIT license](http://opensource.org/licenses/MIT).